#FROM amd64/debian:stretch as builder

FROM amd64/debian:buster

RUN mkdir ~/.gnupg && echo "disable-ipv6" >> ~/.gnupg/dirmngr.conf

RUN apt-get update && \
    apt-get install -y apt-transport-https gnupg2 sudo nginx && \
    rm -rf /etc/nginx/sites-enabled/* && \
    apt-key adv --keyserver keys.gnupg.net --recv-key 0x810273C4 && \
    echo "deb http://packages.inverse.ca/SOGo/nightly/5/debian/ buster buster" > /etc/apt/sources.list.d/sogo.list && \
    apt-get update && \
    apt-get install -y sogo sogo-activesync sope4.9-gdl1-postgresql postgresql-client

COPY sogo.nginx.conf /etc/nginx/sites-enabled/sogo.conf
COPY entrypoint /usr/sbin/entrypoint
ENTRYPOINT ["/usr/sbin/entrypoint"]
